Tlhelp32 (JNA API)

com.sun.jna.platform.win32

## Interface Tlhelp32

-     public interface Tlhelp32

  Interface for the Tlhelp32.h header file.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `Tlhelp32.MODULEENTRY32W` Describes an entry from a list of the modules belonging to the specified process.
    `static class` | `Tlhelp32.PROCESSENTRY32` Describes an entry from a list of the processes residing in the system address space when a snapshot was taken.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `MAX_MODULE_NAME32`
    `static WinDef.DWORD` | `TH32CS_INHERIT` Indicates that the snapshot handle is to be inheritable.
    `static WinDef.DWORD` | `TH32CS_SNAPALL` Includes all processes and threads in the system, plus the heaps and modules of the process specified in th32ProcessID.
    `static WinDef.DWORD` | `TH32CS_SNAPHEAPLIST` Includes all heaps of the process specified in th32ProcessID in the snapshot.
    `static WinDef.DWORD` | `TH32CS_SNAPMODULE` Used with Kernel32.CreateToolhelp32Snapshot Includes all modules of the process specified in th32ProcessID in the snapshot.
    `static WinDef.DWORD` | `TH32CS_SNAPMODULE32` Includes all 32-bit modules of the process specified in th32ProcessID in the snapshot when called from a 64-bit process.
    `static WinDef.DWORD` | `TH32CS_SNAPPROCESS` Includes all processes in the system in the snapshot.
    `static WinDef.DWORD` | `TH32CS_SNAPTHREAD` Includes all threads in the system in the snapshot.

- - ### Field Detail

    - #### TH32CS_SNAPHEAPLIST

          static final WinDef.DWORD TH32CS_SNAPHEAPLIST

      Includes all heaps of the process specified in th32ProcessID in the snapshot. To enumerate the heaps, see Heap32ListFirst.

    - #### TH32CS_SNAPPROCESS

          static final WinDef.DWORD TH32CS_SNAPPROCESS

      Includes all processes in the system in the snapshot. To enumerate the processes, see Process32First.

    - #### TH32CS_SNAPTHREAD

          static final WinDef.DWORD TH32CS_SNAPTHREAD

      Includes all threads in the system in the snapshot. To enumerate the threads, see Thread32First.

    - #### TH32CS_SNAPMODULE

          static final WinDef.DWORD TH32CS_SNAPMODULE

      Used with Kernel32.CreateToolhelp32Snapshot
      Includes all modules of the process specified in th32ProcessID in the snapshot.
      To enumerate the modules, see Module32First.
      If the function fails with ERROR_BAD_LENGTH, retry the function until it succeeds.
      64-bit Windows: Using this flag in a 32-bit process includes the 32-bit modules of the process specified in th32ProcessID, while using it in a 64-bit process includes the 64-bit modules.
      To include the 32-bit modules of the process specified in th32ProcessID from a 64-bit process, use the TH32CS_SNAPMODULE32 flag.
      See Also:
        MSDN

    - #### TH32CS_SNAPMODULE32

          static final WinDef.DWORD TH32CS_SNAPMODULE32

      Includes all 32-bit modules of the process specified in th32ProcessID in the snapshot when called from a 64-bit process. This flag can be combined with TH32CS_SNAPMODULE or TH32CS_SNAPALL. If the function fails with ERROR_BAD_LENGTH, retry the function until it succeeds.

    - #### TH32CS_SNAPALL

          static final WinDef.DWORD TH32CS_SNAPALL

      Includes all processes and threads in the system, plus the heaps and modules of the process specified in th32ProcessID.

    - #### TH32CS_INHERIT

          static final WinDef.DWORD TH32CS_INHERIT

      Indicates that the snapshot handle is to be inheritable.

    - #### MAX_MODULE_NAME32

          static final int MAX_MODULE_NAME32

      See Also:
        Constant Field Values

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.